@echo off
choice /? >nul
if not errorlevel 255 goto no_choice
cls
if not exist game.dat if not exist c&c95.exe goto dat_error
if not exist local.mix goto mix_error
if not exist flamers.mix goto file_error
if not exist ccnames.exe goto file_error
if not exist mmlite.exe goto file_error
if exist game.dat if not exist cclite.exe goto file_error
if exist game.dat if not exist flame_up.pat goto file_error
if exist game.dat if not exist flame_dn.pat goto file_error
if exist c&c95.exe if not exist flame_95.dat goto file_error

:options
cls
echo Flame Dancers Campaign Installation Program:
echo =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
echo.
echo    1 : View campaign info
echo    2 : Install the Flame Dancers Campaign
echo    3 : Uninstall the Flame Dancers Campaign
echo.
echo [ESC]: Quit
echo.
choice /c:123 /n Which would you like to do?
if errorlevel 4 goto esc_end
if errorlevel 3 goto uninstall
if errorlevel 2 goto install

cls
echo The Flame Dancers
echo =-=-=-=-=-=-=-=-=
echo A campaign for Command and Conquer.
echo Created by Andrew Griffin (buggy@adam.com.au)
echo This package contains a new 15 mission campaign for GDI.
echo.
echo The Flame Dancer campaign takes place about two years after the
echo defeat of the Brotherhood of Nod by the Global Defense Initiative.
echo During this two year break, the GDI had never been seriously challenged
echo and has grown complacent, believing that the threat of another group
echo like the Brotherhood emerging was very unlikely. However, they did not
echo count on the Flame Dancers and their mysterious leader Remorse.
echo.
echo The Flame Dancers seek only destruction, not world domination, and have
echo known for years (perhaps decades) that the GDI would be their opposition.
echo Thus they have been infiltrating the organisation for years, getting into
echo positions of authority and access to vital areas of the organisation. They
echo have managed to hide themselves well, but the time has come for the
echo Flame Dancers to emerge. Remorse has ordered the flames lit - can you
echo stop him?
echo.
echo (read STORY.TXT for more info)
echo.
choice /n /c: Press [ESC] to return to the main menu. 
goto options

:install
if exist sc-fdanc.mix goto sc-fdanc
:inst_go
cls
echo Installing, Please Stand By...
echo.
echo.
echo Installing missions and Flame Pod graphics...
copy flamers.mix sc-fdanc.mix >nul
echo Done
:inst_go2
echo.
echo Installing Flame Pod name...
if not exist conquer.eng mmlite local.mix -e conquer.eng >nul
ccnames conquer.eng -r:164 "Flame Pod" >nul
echo Done
echo.
if exist game.dat echo Updating GAME.DAT...
if exist game.dat cclite -silent -u flame_up.pat
if not exist game.dat if exist c&c95.exe echo Updating C&C95.EXE...
if not exist game.dat if exist c&c95.exe move c&c95.exe gold_dat.1st >nul
if not exist game.dat if exist gold_dat.1st copy flame_95.dat c&c95.exe >nul
echo Done
echo.
echo.
echo Installation Complete.
choice /n /c: Press [ESC] to return to the main menu. 
goto options

:sc-fdanc
cls
echo Installing, Please Stand By...
echo.
echo.
echo Installing missions and Flame Pod graphics...
choice /c:ny /n SC-FDANC.MIX already exists. Overwrite? [Y,N] 
if errorlevel 2 goto inst_go

cls
echo Installing, Please Stand By...
echo.
echo.
echo Installing missions and Flame Pod graphics...
echo Skipped
choice /n /c:ny Continue installation? [Y,N] 
if errorlevel 2 goto inst_go1
echo.
echo Installation aborted!
choice /n /c: Press [ESC] to return to the main menu. 
goto options

:inst_go1
cls
echo Installing, Please Stand By...
echo.
echo.
echo Installing missions and Flame Pod graphics...
echo Skipped
goto inst_go2

:uninstall
cls
echo Uninstalling, Please Stand By...
echo.
echo.
echo Uninstalling missions and Flame Pod graphics...
if exist sc-fdanc.mix del sc-fdanc.mix >nul
echo Done
echo.
echo Uninstalling Flame Pod name...
if not exist conquer.eng echo C&C names file CONQUER.ENG not found!
if not exist conquer.eng echo Nothing to uninstall...
if exist conquer.eng ccnames conquer.eng -r:164 "Oil Pump" >nul
if exist conquer.eng echo Done
echo.
if exist game.dat echo Removing GAME.DAT changes...
if exist game.dat cclite -silent -u flame_dn.pat
if not exist game.dat if exist c&c95.exe echo Removing C&C95.EXE changes...
if not exist game.dat if exist c&c95.exe if not exist gold_dat.1st goto gold_error
if not exist game.dat if exist c&c95.exe move gold_dat.1st c&c95.exe >nul
echo Done
echo.
echo.
echo Uninstall Complete.
choice /n /c: Press [ESC] to return to the main menu. 
goto options

:gold_error
echo GOLD_DAT.1ST not found!
echo This file is a backup of the C&C95.EXE made during the installation.
echo This means the program can't undo the changes to the C&C Gold game settings.
echo.
echo Uninstall Incomplete.
choice /n /c: Press [ESC] to return to the main menu. 
goto options

:mix_error
echo LOCAL.MIX not found!
echo Make sure you run this program in the C&C directory.
goto end

:dat_error
echo GAME.DAT not found!
echo Make sure you run this program in the C&C directory.
goto end

:file_error
echo One of the most essential files is missing. Make sure you have:
echo.
echo flamers.mix
echo ccnames.exe
echo mmlite.exe
if exist game.dat echo cclite.exe
if exist game.dat echo flame_up.pat
if exist game.dat echo flame_dn.pat
if exist c&c95.exe echo flame_95.dat
echo.
goto end

:no_choice
cls
echo CHOICE.COM not found! This program requires CHOICE.COM to run. Make sure it is
echo located in this directory or in one of the directories in the PATH variable.
echo.
goto end

:esc_end
cls
echo Flame Dancers Campaign Installation Program:
echo =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
echo.
echo    1 : View campaign info
echo    2 : Install the Flame Dancers Campaign
echo    3 : Uninstall the Flame Dancers Campaign
echo.
echo [ESC]: Quit
echo.
echo Which would you like to do?
echo.
:end
